Subject: Re: bug#53866: face-attribute giving bold for ultra-bold attribute

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 08 Feb 2022 07:42:23 +0100

goncholden <[email-masked]> writes:

> Now that you mention it, I do not know exactly what font emacs is using.
> I have modus-themes activated.  Are there monospace fonts which go to
> ultra-bold?

I have no such fonts.  But Sauce Code Pro, for instance, has a Black
variation, which is heavier than ultra-bold.

`C-u C-x =' will tell you what font you're using.

> I do not know whether emacs should report about whether
> a weight setup fails for the font being used.

Emacs chooses the nearest variation it can find -- it's very common to
not have exactly the variety requested installed, so if Emacs were to
complain about this, it'd be a lot of noise.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no